> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision Canton OIDC Ledger User

> Verify an OIDC id_token and ensure a Ledger API user/party exists for its `sub`



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/authorize/provision
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.ekiden.fi/
    description: Production
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/authorize/provision:
    post:
      tags:
        - User
      summary: Provision Canton OIDC Ledger User
      description: >-
        Verify an OIDC id_token and ensure a Ledger API user/party exists for
        its `sub`
      operationId: provision
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CantonProvisionRequest'
        required: true
      responses:
        '200':
          description: Ledger user ensured
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantonProvisionResponse'
components:
  schemas:
    CantonProvisionRequest:
      type: object
      required:
        - id_token
      properties:
        id_token:
          type: string
    CantonProvisionResponse:
      type: object
      required:
        - party_id
        - created
      properties:
        created:
          type: boolean
        party_id:
          type: string

````